<?php

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$config = require ('config.php');
$rutafotos=$config['rutafotos'];

$ras=$_GET["ras"];
$foto=$_GET["foto"];	
$accion=$_GET["accion"];
$clave=0;
$newfoto=$foto;

$posfoto=strripos($foto, '/');
$fotoneta=substr($foto,$posfoto+1);

$directorio = $rutafotos;
$fotos  = scandir($directorio);

$nfotos = count($fotos);
$clave = array_search($fotoneta, $fotos);

if ($clave=="") {
	$newfoto="images/NO_EXISTE.png";
}

if ($accion=='AV' and $clave+1<$nfotos) {
	$newfoto=$rutafotos.'/'.$fotos[$clave+1];
}
if ($accion=='RT' and $clave>2) {
	$newfoto=$rutafotos.'/'.$fotos[$clave-1];
}

echo "OK|$newfoto";

?>